/* ============= css reset =============== */
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

html, body, div, iframe, h2, h3, h4, p,
a, img, s, strong, ol, ul, li, form, canvas, details, embed, footer, nav, section,
time, audio {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
 details, 
footer, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}

/*=========================top button===================*/

/*==========================general styling==========*/

h2 {
    font-family: "Fugaz One", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 20px;
}

p, li, h3, h4{
    font-family: "Young Serif", serif;
    font-weight: 400;
    font-style: normal;
}

p{
    font-size: 15px;
    line-height: 1.2em;
}


body{
    color: rgb(232, 232, 232);
}


/*============================= nav ===================*/

.navig{
    background-color: black;
    padding-top: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.navlogo img{
    height: 30px;
    width: auto;
    display: block;
    margin: auto;
}

.navdiv{
    font-size: 15px;
    margin-top: 30px;
}

.navdiv li{
    list-style: none;
    display: inline-flex;
    margin-left: 10px;
    padding-bottom: 10px;
}

.navdiv li a{
    text-decoration: none;
    color: rgb(232, 232, 232);
}


.navdiv li a:visited{
    opacity: 0.1;
}


.navdiv li a:hover {
    color: #d73d00;
    transition: 0.3s;
}

.navdiv li a:active {
    color: #d73d00;
}

.navdiv li a:focus {
    text-decoration: underline #d73d00;
}




/*=============================spinning========================*/

.details {
    display: flex;
    align-items: center;
    justify-content: center; 
    gap: 10px; 
    color: rgb(255, 255, 255);
    background: linear-gradient(to right,#000000, #d73d00, #000000);
    height: 5px;
    
}

.details p {
    margin: 0; 
}

.details p a{
    text-decoration: none;
    color: #ffffff;
}

.details p:first-child{
    padding-right: 20px;
}

.details p{
    padding-bottom:20px
}


.spinning{
    background-color: black;
    position: relative;
    height: 100vh;
    overflow: hidden;
}

.spinning img{
    display: block;
    margin: auto;
    width: 70vw;
    height: auto;
    border-radius: 50%;
}

.music{
   display: flex;
   align-items: center;
   justify-content: center;
}

@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

/* Class to apply animation */
.spin {
    animation: spin 15s linear infinite;
}

/*=======================welcome===============*/

.welcome{
    background-image: url(image-jpg/content-bg.jpg);
    background-position: center; 
    background-repeat: no-repeat; 
    background-size: cover;
    padding: 20px;
    border: 2px solid #340b08;
    border-left: none;
    border-right: none;

}

.welcome h2{
    padding-bottom: 20px;
}

.welcome p{
    padding-bottom: 10px;
    width: 60vw;
}

.welcome p a{
    text-decoration: underline;
    color: rgb(232, 232, 232);

}


/*============discoverUs================*/

.intro{
    background-color: black;
    padding: 20px;
    
}

.intro h2{
    text-align: center;
    padding-bottom: 20px;
    color: #d73d00;
}

.intro p{
    padding-bottom: 10px;
}

.our-services ol{
    list-style-type: circle;
    padding: 20px 0 0 20px;

}

.our-services{
    padding-top: 50px;
}

.shop img{
    display: block;
    margin: auto;
    width: 70vw;
    height: auto;
}

/*================events==============*/

#events{
    background-color: rgb(232, 232, 232);
    color: black;
    padding: 20px;
}

.invitation h2{
    text-align: center;
    margin-bottom: 20px;
    border-bottom: 2px solid #4d5391;
}

.invitation p{
    padding-bottom: 10px;
}

.poster img{
    display: block;
    margin: auto;
    width: 60vw;
    height: auto;
    border-radius: 5px;
    margin-top: 10px;
    box-shadow: 10px 10px 5px rgb(114, 114, 114);
}

/*================gallery================*/

#gallery{
    background-image: url(image-jpg/prism.webp);
    background-position: center; 
    background-repeat: no-repeat; 
    background-size: cover;
    padding: 20px;
}

.gallery-header h2 {
    text-align: center;
    padding-bottom: 20px;
    color: #d73d00;
}

.gallery-header p {
    padding-bottom: 20px;
}

.album-container img{
    width: 250px;
    height: 250px;
    box-shadow: 10px 10px 5px #57575730;
}

.album-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

figcaption {
    text-align: center;
    padding: 10px 0 20px;
}

figcaption h3 {
    font-size: 20px;
    line-height: 1.2em;
}

figcaption h4 {
    font-size: 15px;
    line-height: 1.2em;
}

figcaption .price {
    font-size: 15px;
    font-weight: bold;
}




/*=======================aboutUs================*/

.about-us{
    background-color: black;
    padding: 20px;
}
.about-us {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
.about-us .owner img{
    border-radius: 50%;
}

.about-us div{
    padding: 20px;
    text-align: center;
}

.about-us div p{
    padding-bottom: 20px;
}

.about-us div h2{
    border-bottom: 2px solid #d73d00e1;
}

.about-us .owner p{
    padding-top: 20px;
}

.about-us div h3{
    padding-top: 20px;
    font-size: 20px;
}

.about-us div img{
    padding-top: 20px;
    padding-bottom: 20px;
    height: 250px;
    width: auto;
}

.about-us .owner h2{
    padding-top: 50px;
}


/*===============footer==================*/

#footer{
    background-color: rgb(0, 0, 0);
    text-align: center;
    padding: 25px;
    border-top: 2px solid #d73d00e2;
}

div{
    padding-top: 20px;
}

#footer div h3{
    font-family: "Fugaz One", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.3em;
    color: #d73d00;
    
    
}

#footer div nav ul li a{
    text-decoration: none;
    color: rgb(232, 232, 232);
}

#footer div nav ul li a:hover{
    color: #ff4800;
    transition: 0.3s;
}

#footer div nav ul li{
    padding-bottom: 5px;
}

#footer div nav ul {
    padding-top: 10px;
    padding-bottom: 20px;
}

.logo img{
    width: 150px;
    height: auto;
}

/*========================-------------responsive-------------=============*/

/*=============----------650-------============*/

@media (min-width: 650px) {

    /*general*/

    h2{
        font-size: 1.9em;
    }

    p{
        font-size: 1.3em;
    }

/*==---nav--==*/
    .navlogo img{
        height: 40px;
    }

    .navdiv{
        font-size: 1.3em;
        padding: 0px 30px;
    }

    .navlogo img{
        padding-bottom: 15px;
    }

/*==--spinning--==*/
   .details{
    height: 7px;
   }
/*===welcome===*/
    .welcome{
        padding: 30px 0 30px 30px;
        box-shadow: 10px 10px 5px #340b08 inset;
    }

    .welcome .map iframe{
        height: 80px;
    }

    /*==--DiscoverUs--==*/

    .intro{
        padding: 30px;
    }

    /*==--Events--==*/

    .invitation{
        padding: 30px;
    }

    .poster img{
        width: 50vw;
    }

    
}
/*=====================850===================*/

    @media (min-width: 850px) {

        /*==--general--==*/

        h2{
            font-size: 2.2em;
        }
    /*==---nav--==*/
        .navdiv{
            padding: 0px 60px;
        }
    
    /*==--spinning--==*/
     .details p{
        padding-bottom: 22px;
     }

     .details{
        height: 7px;
     }
    /*==--welsome--==*/
        .welcome{
            padding: 50px 0 50px 50px;
        
        }
    
        .intro{
            padding: 50px;
        }
    
    /*==--event--==*/
        .poster img{
            width: 33.3vw;
        }

        #events{
            display: flex;
        }


        .invitation p{
            padding-bottom: 20px;
        }

    /*==--gallery--==*/
        .album-container{
            display: grid;
            grid-template-columns: repeat(2,1fr);
        }

        .album-container img{
            width: 300px;
            height: 300px;
        }

        .gallery-header p{
            padding: 0px 50px 30px;
        }
}
    /*===---aboutUs--===*/
        .about-us div img{
            height: 300px;
            width: auto;
            padding-bottom: 50px;
        }

        .about-us div p {
            display: block;
            margin: auto;
            width: 60vw;
            
        }

    /*==--footer--==*/
        #footer{
            display: grid;
            grid-template-columns: repeat(3,1fr);
        }

        .logo{
            grid-column: 1/-1;
        }

        .logo img{
            padding-bottom: 15px;
        }

    
    

    /*========================1200=================*/

    @media (min-width: 1200px) {

    /*==========general====*/

      h2{
         font-size: 2.7em;
        }

      p{
         font-size: 1.8em;
       }
    
    /*======navigation============*/

        .navdiv ul li{
            font-size: 1.2em;
            padding: 0px 60px 10px;
            max-width: 960px;
        }

        .details p{
            font-size: 1.2em;
          
        }

        .navlogo img{
            height: 60px;
        }

       
   
    
    /*==--spinning--==*/
       

    /*==========welcome==============*/



    
    /*==========Discoverus======*/

       .intro{
        padding: 50px;
        word-spacing:  0.2em; 
        display: grid;
        grid-template-columns: repeat(2,1fr);
       }

       .intro h2, p{
        grid-column: 1/-1;
       }
    

       .our-services{
        grid-column: 1;
        padding-top: 80px;
       }

       .shop{
        grid-column: 2;
       }

       .shop img{
        width: 40vw;
       }

    /*==--Event--==*/
    
    .poster img{
        width: 28vw;
    }

    .invitation{
        width: 60vw;
        padding-left: 50px;
    }
    #footer{
        display: grid;
        grid-template-columns: repeat(5,1fr);
    }

    .logo{
        grid-column: 2/5;
    }

    .fot-link{
        grid-column: 2/3;
        grid-row: 2/3;
    }

    .fot-socio{
        grid-column: 3/4;
        grid-row: 2/3;
    }

    .fot-legal{
        grid-column: 4/5;
        grid-row: 2/3;
    }
    

    
    
       /*==--gallery--==*/

       .album-container{
        display: grid;
        grid-template-columns: repeat(3,1fr);
    }


        /*==--footer--==*/

        
    }

    @media (min-width: 1500px) {
       

        .welcome h2{
            padding-bottom: 60px;
        }

        .welcome{
            padding-left: 80px;
        }

        .welcome p{
            padding-bottom: 40px;
        }

        .our-services{
            padding-top: 200px;
            padding-left: 80px;
        }

        .invitation{
            padding-top: 180px;
            padding-left: 80px;
        }
    }

    
